#!/bin/bash

echo " Connexion a R1 "
ssh R1 << 'EOF'

apt update && apt install -y tcpdump
echo 1 > /proc/sys/net/ipv4/ip_forward

dhclient -v eth0

ip addr add 10.0.0.1/24 dev eth1
ip link set eth1 up

cat > /root/nat.nft <<END
#!/usr/sbin/nft -f

flush ruleset

table ip nat {
    chain masq {
        type nat hook postrouting priority 100;
        oifname "eth0" counter masquerade
    }
}
END

nft -f /root/nat.nft
EOF
echo " Connexion a H1 "

ssh H1 << 'EOF'

apt update && apt install -y tcpdump
ip addr add 10.0.0.2/24 dev eth0
ip link set eth0 up
ip route add default via 10.0.0.1 dev eth0

EOF

